Holger's Java API

## com.antelmann.util.table
Class FormattedCellRenderer.ToStringFormat

    java.lang.Object
      java.text.Format
          com.antelmann.util.table.FormattedCellRenderer.ToStringFormat

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing class:
  FormattedCellRenderer

    public static final class FormattedCellRenderer.ToStringFormat

extends Format

simply converts to strings; used internally by the enclosing class if no other format was given

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.Format
`Format.Field`

Constructor Summary
`FormattedCellRenderer.ToStringFormat()`
`FormattedCellRenderer.ToStringFormat(boolean useDetailedHtmlStringIfAvailable)`
`FormattedCellRenderer.ToStringFormat(Filter<? super String> filter)`
`FormattedCellRenderer.ToStringFormat(Filter<? super String> filter, boolean useDetailedHtmlStringIfAvailable)`

Method Summary
`StringBuffer` `format(Object obj, StringBuffer toAppendTo, FieldPosition pos)`
`Object` `parseObject(String source, ParsePosition pos)`

Methods inherited from class java.text.Format
`clone, format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormattedCellRenderer.ToStringFormat

    public FormattedCellRenderer.ToStringFormat()

### FormattedCellRenderer.ToStringFormat

    public FormattedCellRenderer.ToStringFormat(boolean useDetailedHtmlStringIfAvailable)

### FormattedCellRenderer.ToStringFormat

    public FormattedCellRenderer.ToStringFormat(Filter<? super String> filter)

### FormattedCellRenderer.ToStringFormat

    public FormattedCellRenderer.ToStringFormat(Filter<? super String> filter,
                                                boolean useDetailedHtmlStringIfAvailable)

Method Detail

### format

    public StringBuffer format(Object obj,
                               StringBuffer toAppendTo,
                               FieldPosition pos)

  Specified by:
    `format` in class `Format`

### parseObject

    public Object parseObject(String source,
                              ParsePosition pos)

  Specified by:
    `parseObject` in class `Format`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads